Subject: Re: [PATCH] revision: fix missing null for freed memory

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 11 Feb 2025 08:55:54 +0100

On Fri, Feb 07, 2025 at 10:17:02PM -0800, Emily M Klassen wrote:
> "git log --graph --no-graph" missed cleaning up the output_prefix and
> output_prefix_data pointers. This resulted in a segfault when using "--patch",
> "--name-status" or "--name-only", as the output_prefix_data continued to be in
> use after free()
> 
> Signed-off-by: Emily M Klassen <[email-masked]>
> ---
> I previously reported this a few hours ago, and ended up digging in and figuring
> it out. I'll make sure to bottom reply in the follow ups to this patch.

Do we know when this bug was introduced? Is it a recent regression or a
long-standing issue? Might be nice to point out in the commit message if
we do know.

Patrick